Package com.ads.mm.db.util

# Enum Class DBHelper.ModelType

java.lang.Object
java.lang.Enum<DBHelper.ModelType>
com.ads.mm.db.util.DBHelper.ModelType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBHelper.ModelType>`, `Constable`

Enclosing class:
  DBHelper

public static enum DBHelper.ModelType extends Enum<DBHelper.ModelType>
These ENUM constants are used to specify whether the ModelType can be PHYSICAL and LOGICAL.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DDL`
  DDL Model represents the physical implementation of the model in a database which shows all table structures, including column name, column data type, column constraints, primary key, foreign key and relationships between tables.
  `LOGICAL`
  LOGICAL Model type describes the data in as much detail as possible without regard to how they will be physical implemented.Logical model represents the business requirements, it includes all entities, attributes and relationships.
  `PHYSICAL`
  PHYSICAL Model represents the physical implementation of the model in a database which shows all table structures, including column name, column data type, column constraints, primary key, foreign key and relationships between tables.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBHelper.ModelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBHelper.ModelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PHYSICAL

    public static final DBHelper.ModelType PHYSICAL
    PHYSICAL Model represents the physical implementation of the model in a database which shows all table structures, including column name, column data type, column constraints, primary key, foreign key and relationships between tables.
    physical model includes the Specification of tables and columns, foreign keys which identifies the relationships between tables. physical considerations will cause the physical data model to be different from logical data model.
    physical model mainly required for actual designing of the database. It includes server model diagram, database design documentation and user feedback documentation.

  - ### LOGICAL

    public static final DBHelper.ModelType LOGICAL
    LOGICAL Model type describes the data in as much detail as possible without regard to how they will be physical implemented.Logical model represents the business requirements, it includes all entities, attributes and relationships.
    Logical model includes primary keys and all attributes are specified within an entity and it allows to model inheritances in entity relationship diagrams. Data attributes will typically have data types with precisions and lengths assigned.
    Logical model gathers information about business needs and does not involve designing a database. It includes business process diagrams and user feedback documentation.

  - ### DDL

    public static final DBHelper.ModelType DDL
    DDL Model represents the physical implementation of the model in a database which shows all table structures, including column name, column data type, column constraints, primary key, foreign key and relationships between tables.
    ddl model includes the Specification of tables and columns, foreign keys which identifies the relationships between tables. ddl considerations will cause the physical data model to be different from logical data model.
    ddl model mainly required for actual designing of the database. It includes server model diagram, database design documentation and user feedback documentation.

- ## Method Details

  - ### values

    public static DBHelper.ModelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBHelper.ModelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null